
package Counter;

public interface ICounterAlgo
{
	/**
	 * @param host 
	 * @param param 
	 */
	public abstract Object zeroCase(Counter host, Object param);

	/**
	 * @param host 
	 * @param param 
	 */
	public abstract Object nonZeroCase(Counter host, Object param);
}

